# Poco::Util

# class AbstractOptionCallback

Library: Util
Package: Options
Header: Poco/Util/OptionCallback.h

## Description

Base class for OptionCallback.

## Inheritance

Known Derived Classes: OptionCallback

## Member Summary

Member Functions: clone, invoke

## Constructors

### AbstractOptionCallback

AbstractOptionCallback();

### AbstractOptionCallback

AbstractOptionCallback(
const AbstractOptionCallback & param294
);

## Destructor

### ~AbstractOptionCallback

virtual ~AbstractOptionCallback();

Destroys the AbstractOptionCallback.

## Member Functions

### clone

virtual AbstractOptionCallback * clone() const = 0;

Creates and returns a copy of the object.

### invoke

virtual void invoke(
const std::string & name,
const std::string & value
) const = 0;

Invokes the callback member function.